org.apache.tinkerpop.gremlin.structure.io.gryo

## Class GryoSerializersV3d0.DefaultRemoteTraverserSerializer

- java.lang.Object
- - org.apache.tinkerpop.gremlin.structure.io.gryo.GryoSerializersV3d0.DefaultRemoteTraverserSerializer

- All Implemented Interfaces:
    SerializerShim<DefaultRemoteTraverser>
  Enclosing class:
    GryoSerializersV3d0

      public static final class GryoSerializersV3d0.DefaultRemoteTraverserSerializer
      extends Object
      implements SerializerShim<DefaultRemoteTraverser>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultRemoteTraverserSerializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<I extends InputShim> DefaultRemoteTraverser` | `read(KryoShim<I,?> kryo, I input, Class<DefaultRemoteTraverser> remoteTraverserClass)`
    `<O extends OutputShim> void` | `write(KryoShim<?,O> kryo, O output, DefaultRemoteTraverser remoteTraverser)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.structure.io.gryo.kryoshim.SerializerShim

      `isImmutable`

- - ### Constructor Detail

    - #### DefaultRemoteTraverserSerializer

          public DefaultRemoteTraverserSerializer()

  - ### Method Detail

    - #### write

          public <O extends OutputShim> void write(KryoShim<?,O> kryo,
                                                   O output,
                                                   DefaultRemoteTraverser remoteTraverser)

      Specified by:
        `write` in interface `SerializerShim<DefaultRemoteTraverser>`

    - #### read

          public <I extends InputShim> DefaultRemoteTraverser read(KryoShim<I,?> kryo,
                                                                   I input,
                                                                   Class<DefaultRemoteTraverser> remoteTraverserClass)

      Specified by:
        `read` in interface `SerializerShim<DefaultRemoteTraverser>`

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.